<?

session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}

include("clases/Cobros.class.php");$objp = new Cobros();
////////////////////
$vcod=$_REQUEST["id"];

//$objm = new Moneda();

?>
<?

 require("clases/Usuario.class.php");
  $obju = new Usuario();
  if($obju->BuscarPorUsuario($_SESSION['usuario'])){
      $codusu = $obju->getidusuario();	
	  $nom = $obju->getUsuario();		  
  }
?>
<html>
<head>
<title>Reporte</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
 

<script language="javascript"> 
function imprimir() { 
if (navigator.appName.substring(0,8) == 'Netscape') { 
if (parseInt(navigator.appVersion.substring(0,1)) > 3) { 
window.print(); 
} else { 
alert("Esta funcion esta disponible solo para\nNetscape y Explorer version 4 o superiores.\nUd. Puede imprimir seleccionando la funcion\nImprimir del menu Archivo de su navegador\n"); 
} 
} else { 
// IE 5.0 or later 
if ((navigator.appVersion.indexOf(5)) != -1) { 
//alert("IE 5 or above "); 
window.print(); 
} else { 
// IE 4.0 versions 
if (parseInt(navigator.appVersion.substring(0,1)) > 3) { 
// añadir un confirm 
// Si se utiliza OLECMDEXECOPT_DONTPROMPTUSER y al dialogo de la impresora se 
// le da cancelar se va en error y ya no saca el dialogo.... 

if (confirm('¿Este seguro que desea imprimir?')) { 
var OLECMDID_PRINT = 6; 
var OLECMDEXECOPT_DONTPROMPTUSER = 2; 
var OLECMDEXECOPT_PROMPTUSER = 1; 
var WebBrowser = "<OBJECT ID=\"WebBrowser1\" WIDTH=0 HEIGHT=0 CLASSID=\"CLSID:8856F961-340A-11D0-A96B-00C04FD705A2\"></OBJECT>"; 
document.body.insertAdjacentHTML("beforeEnd", WebBrowser); 
WebBrowser1.ExecWB(OLECMDID_PRINT, OLECMDEXECOPT_DONTPROMPTUSER); 
WebBrowser1.outerHTML = ""; 
} 

} else { 
alert("Esta funcion esta disponible solo para\nNetscape y Explorer version 4 o superiores.\nUd. Puede imprimir seleccionando la funcion\nImprimir del menu Archivo de su navegador\n"); 
} 
} 
} 
} 
function salir(){ 
		document.frmprint.action='manconsumo.php';
		document.frmprint.submit();
		return true;			
	} 
</script>

<style type="text/css">
<!--
.Estilo1 {font-family: Arial, Helvetica, sans-serif}
-->
</style>
</head>

<body style="margin-top:1%">

<div align="center">
  <form name="frmprint" method="post" action="">
  <table width="76%" border="0" cellspacing="2" cellpadding="4" align="center" class="punteado">
  <tr class="estilotabla2">
     <th width="100%"  style="text-align: center"><span class="Estilo1"> RECIBO DE PAGO - SITSER MPCP </span></th>
     </tr>
  </table>
  <br>
  <table width="712" border="1" cellpadding="1" cellspacing="0" bordercolor="#666666" class="punteado">
    

    <tr class=" estilotabla2" >
      <td colspan="5" align="center" ><span class="Estilo1"><b>PAGO REALIZADO</b></span></td>
      </tr>
    <tr class=" estilotabla2">
      <th width="44"  align="center" class="punteado Estilo1" >N&ordm; Recibo </th>
      <th width="270" align="left" class="punteado Estilo1">Fecha de Pago </th>
      <th width="215" align="left"  class="punteado Estilo1">Concepto</th>
      <th colspan="2"  align="right" class="punteado"><div align="left" class="Estilo1">Importe S/.  </div></th>
      </tr>
<?php        
		$listamen = $objp->BuscarPagos($vcod);
       for($i = 0; $i < count($listamen); $i++)
        {
?>
    <tr class=" estilotabla2">
      <td align="center" class="punteado" ><span class="Estilo1">
        <?=$listamen[$i]['codorden'];?>
      </span></td>
      <td align="left" class="punteado"><span class="Estilo1">
        <?=$listamen[$i]['fecha'];?>
      </span></td>
      <td align="left" class="punteado"><span class="Estilo1">
        <?=$listamen[$i]['concepto'];?>
      </span></td>
      <td width="113" align="right" class="punteado" ><div align="left" class="Estilo1">
        <?=number_format(($listamen[$i]['abono']),2);?>
      </div></td>
      <td width="18" align="right"  ><a href="controladores/CobroController.php?cod=<?=$vcod;?>&fecha=<?=$listamen[$i]['fecha'];?>&concepto=<?=$listamen[$i]['concepto'];?>&monto=<?=$listamen[$i]['abono'];?>&txtpara=E" class="Estilo1">Quitar</a></td>
    </tr>  
<?php	
$sumdepo = $sumdepo + $listamen[$i]['abono'];
}
?>	   
    <tr class=" estilotabla2">
      <td >&nbsp;</td>
      <th colspan="2"  align="right"><span class="Estilo1">Total :.</span></th>
      <th colspan="2" align="right" ><div align="left" class="Estilo1"><b>[
        <?=number_format(($sumdepo),2);?>
        ]</b></div></th>
      </tr>
  </table>
  <table width="69%" border="0" cellspacing="1" cellpadding="5"  >
    <tr class="estilotabla2">
      <td align="left">        <span class="Estilo1">
        <input type="submit" name="Submit2" value="IMPRIMIR" class="punteado" onClick="imprimir();" > 
        <a href="frmcobro.php" >Regresar</a> </span></td>
    </tr>
    <tr  class="estilotabla2">
      <td align="right"><span class="Estilo1">
        Responsable del registro: 
          <?=$nom;?>
      </span></td>
    </tr>
  </table>
  </form>
</div>
</body>
</html>